%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-klotski
Version:	3.38.2
Release:	%mkrel 1
Summary:	GNOME Klotski game
License:	GPLv2+ and GFDL
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Klotski
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(vapigen)
Obsoletes:	gnotski
# For help
Requires:	yelp

%description
A series of sliding block puzzles. Try and solve them in the least number of
moves.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Klotski.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Klotski.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.Klotski*.*
%{_mandir}/man6/%{name}.6*
%{_metainfodir}/org.gnome.Klotski.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Klotski.service


%changelog
* Sun Nov 22 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648540
- new version 3.38.2

* Sat Oct 03 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632032
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625273
- new version 3.38.0

* Fri Aug 28 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1619407
- new version 3.37.91

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591696
- new version 3.37.2

* Sat May 30 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589034
- new version 3.36.3

* Fri Apr 24 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571770
- new version 3.36.2

* Mon Mar 09 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555150
- new version 3.36.0

* Wed Mar 04 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1553744
- Mageia 8 Mass Rebuild
+ ovitters <ovitters>
- new version 3.35.91

* Fri Feb 14 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1517082
- new version 3.34.4

* Mon Jan 06 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1476974
- new version 3.34.3

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439193
- new version 3.34.0

* Fri Aug 09 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1428288
- new release

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392401
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374070
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372325
- switch to meson
- new version 3.31.92

* Sun Sep 23 2018 umeabot <umeabot> 3.22.3-2.mga7
+ Revision: 1297962
- Mageia 7 Mass Rebuild

* Sat Mar 10 2018 tv <tv> 3.22.3-1.mga7
+ Revision: 1208029
- fix filelist
+ ovitters <ovitters>
- new version 3.22.3

* Thu Feb 22 2018 ovitters <ovitters> 3.22.2-2.mga7
+ Revision: 1204064
- rebuild for libgnome-games-support

* Sat Sep 09 2017 ovitters <ovitters> 3.22.2-1.mga7
+ Revision: 1152055
- new version 3.22.2

* Tue Nov 08 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1065771
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1055319
- new version 3.22.0

* Sat May 07 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1010118
- new version 3.20.2

* Fri Apr 08 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 999465
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993577
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990423
- new version 3.19.92

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961906
- new version 3.19.90

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905165
- new version 3.19.1

* Fri Nov 06 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 898240
- new version 3.18.2

* Thu Oct 15 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891720
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883184
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879314
- new version 3.17.92

* Wed Aug 12 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 864117
- new version 3.17.90

* Sun Jun 21 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838537
- new version 3.16.1

* Tue Feb 17 2015 wally <wally> 3.14.2-2.mga5
+ Revision: 815338
- require yelp for showing help

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796297
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 746015
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 737812
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719182
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-2.mga5
+ Revision: 679729
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665325
- new version 3.13.90

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639208
- new version 3.13.3

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622336
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614155
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608068
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604566
- new version 3.11.92

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594255
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.3-1.mga5
+ Revision: 583008
- new version 3.11.3

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550162
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536538
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484537
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480578
- new version 3.9.92

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468754
- new version 3.9.90
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 440914
- imported package gnome-klotski

